.package:
  variables:
    DOCKER_PROJECT_DIR: $CI_PROJECT_DIR
    DOCKER_DOCKERFILE: $CI_PROJECT_DIR/Dockerfile
    DOCKER_DESTINATION: $CI_REGISTRY_IMAGE/${CI_COMMIT_REF_SLUG}:${CI_PIPELINE_ID}
    DOCKER_DESTINATION_LATEST: $CI_REGISTRY_IMAGE/${CI_COMMIT_REF_SLUG}:latest
    CI_REGISTRY: registry.gitlab.com
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor
        --context ${DOCKER_PROJECT_DIR}
        --cache=true
        --dockerfile $DOCKER_DOCKERFILE
        --destination $DOCKER_DESTINATION
        --destination $DOCKER_DESTINATION_LATEST
